> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workspace metadata

> Get the metadata details of a workspace in the organization



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/workspace-meta
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/workspace-meta:
    get:
      tags:
        - Workspaces
      summary: Get workspace metadata
      description: Get the metadata details of a workspace in the organization
      operationId: publicGetWorkspaceMeta
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: workspaceId
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicWorkspaceMetaResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    PublicWorkspaceMetaResponseDto:
      type: object
      properties:
        id:
          type: number
          readOnly: true
          example: 1
        workspaceId:
          type: number
          readOnly: true
          example: 1
        organizationId:
          type: number
          readOnly: true
          example: 1
        note:
          type: string
          nullable: true
          readOnly: true
          example: Example note
        businessImpactLevel:
          nullable: true
          readOnly: true
          example: low
          allOf:
            - $ref: '#/components/schemas/BusinessImpactLevel'
        dataStoreRegion:
          type: string
          nullable: true
          readOnly: true
          example: ap-northeast-1
        piiEnabled:
          type: boolean
          nullable: true
          readOnly: true
          example: false
        pii:
          type: string
          nullable: true
          readOnly: true
          example: Example note
        confidentialInfo:
          nullable: true
          readOnly: true
          example: confidential
          allOf:
            - $ref: '#/components/schemas/ConfidentialInfo'
        securityImpactLevel:
          nullable: true
          readOnly: true
          example: low
          allOf:
            - $ref: '#/components/schemas/SecurityImpactLevel'
        vendorName:
          type: string
          nullable: true
          readOnly: true
          example: Example Vendor
        vendorRelationship:
          type: string
          nullable: true
          readOnly: true
          example: Example Vendor Relationship
        vendorPhone:
          type: string
          nullable: true
          readOnly: true
          example: '12345567890'
        vendorMailAddress:
          type: string
          nullable: true
          readOnly: true
          example: Example Vendor Mail address
      required:
        - id
        - workspaceId
        - organizationId
        - note
        - businessImpactLevel
        - dataStoreRegion
        - piiEnabled
        - pii
        - confidentialInfo
        - securityImpactLevel
        - vendorName
        - vendorRelationship
        - vendorPhone
        - vendorMailAddress
    BusinessImpactLevel:
      type: string
      enum:
        - high
        - moderate
        - low
    ConfidentialInfo:
      type: string
      enum:
        - unclassified
        - confidential
        - secret
        - topSecret
    SecurityImpactLevel:
      type: string
      enum:
        - high
        - moderate
        - low
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````